CVE-2004-0672
CVSS6.8
发布时间 :2004-08-06 00:00:00
修订时间 :2016-10-17 22:47:34
NMCOES    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in the primary and management web interfaces in Netegrity IdentityMinder Web Edition 5.6 allows remote attackers to execute script as other users via (1) script that starts with %00 in the numOfExpressions parameter or (2) the mobjtype parameter.


[CNNVD]Netegrity IdentityMinder Web Edition 跨站脚本(XSS)漏洞(CNNVD-200408-104)

        Netegrity IdentityMinder Web Edition 5.6版本中的主要管理web界面存在多个跨站脚本(XSS)漏洞。远程攻击者可以和其他用户一样通过(1)numOfExpressions参数中用00%启动的脚本或者(2)mobjtype参数来执行脚本。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:netegrity:identityminder:web_5.6_sp2
cpe:/a:netegrity:policy_server:5.5
cpe:/a:netegrity:identityminder:web_5.6
cpe:/a:netegrity:identityminder:web_5.6_sp1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0672
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0672
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-104
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108881203114336&w=2
(UNKNOWN)  BUGTRAQ  20040701 [HW-MED] XSS in Netegrity IdentityMinder
http://www.securityfocus.com/bid/10645
(UNKNOWN)  BID  10645
http://xforce.iss.net/xforce/xfdb/16618
(UNKNOWN)  XF  identityminder-xss(16618)

- 漏洞信息

Netegrity IdentityMinder Web Edition 跨站脚本(XSS)漏洞
中危 跨站脚本
2004-08-06 00:00:00 2006-12-27 00:00:00
远程  
        Netegrity IdentityMinder Web Edition 5.6版本中的主要管理web界面存在多个跨站脚本(XSS)漏洞。远程攻击者可以和其他用户一样通过(1)numOfExpressions参数中用00%启动的脚本或者(2)mobjtype参数来执行脚本。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24244)

Netegrity IdentityMinder Web Edition 5.6 Null Byte XSS (EDBID:24244)
cgi webapps
2004-07-01 Verified
0 vuln@hexview.com
N/A [点击下载]
source: http://www.securityfocus.com/bid/10645/info

Netegrity IdentityMinder is a tool designed for the Microsoft Windows platform to manage and maintain users and user accounts. The tool supports a web based interface for creating and removing users in multi-user environments.

It has been reported that Netegrity IdentityMinder is affected by multiple cross-site scripting vulnerabilities. These issues are due to a failure of the application to properly sanitize user-supplied URI input.
A remote attacker can exploit this issue by creating a malicious link to the vulnerable application that includes hostile HTML and script code. If this link were followed by an unsuspecting user, the hostile code may be rendered in the their web browser. This would occur in the security context of the web server and may allow for theft of cookie-based authentication credentials as well as arbitrary application command execution.

http://www.example.com/idm/siteName/ims_mainconsole_principalpopuphandler.do?searchAttrs0=%25GROUP_NAME%25&searchOperators0=EQUALS&searchFilter0=&searchOrgDN=specifiedDNValue&incChildrenOrgFlag=NO&resultsPerPage=10&oid=&imsui_taskstate=RESOLVE_SCOPE&imsui_tpnametosearch=group&numOfExpressions=1%00<script>alert(document.cookie)</script> 		

- 漏洞信息 (24245)

Netegrity IdentityMinder Web Edition 5.6 Management Interface XSS (EDBID:24245)
cgi webapps
2004-07-01 Verified
0 vuln@hexview.com
N/A [点击下载]
source: http://www.securityfocus.com/bid/10645/info
 
Netegrity IdentityMinder is a tool designed for the Microsoft Windows platform to manage and maintain users and user accounts. The tool supports a web based interface for creating and removing users in multi-user environments.
 
It has been reported that Netegrity IdentityMinder is affected by multiple cross-site scripting vulnerabilities. These issues are due to a failure of the application to properly sanitize user-supplied URI input.
A remote attacker can exploit this issue by creating a malicious link to the vulnerable application that includes hostile HTML and script code. If this link were followed by an unsuspecting user, the hostile code may be rendered in the their web browser. This would occur in the security context of the web server and may allow for theft of cookie-based authentication credentials as well as arbitrary application command execution.

http://PUT_ADDRESS_HERE:7001/idmmanage/mobjattr.do?diroid=OID&attrname=Group%20Members&mobjtype=2<script>alert(document.cookie)</script> 		

- 漏洞信息

7462
Netegrity IdentityMinder Null Byte XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Netegrity IdentityMinder Web Edition contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate any variables when a %00 character is submitted to the ims_mainconsole_principalpopuphandler.do script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-07-01 Unknow
2004-07-01 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Netegrity IdentityMinder Multiple Cross-Site Scripting Vulnerabilities
Input Validation Error 10645
Yes No
2004-07-01 12:00:00 2009-07-12 05:16:00
This issue has been disclosed by vuln@hexview.com.

- 受影响的程序版本

Netegrity Policy Server 5.5
Netegrity IdentityMinder Web Edition 5.6 SP2
Netegrity IdentityMinder Web Edition 5.6 SP1
Netegrity IdentityMinder Web Edition 5.6

- 漏洞讨论

Netegrity IdentityMinder is a tool designed for the Microsoft Windows platform to manage and maintain users and user accounts. The tool supports a web based interface for creating and removing users in multi-user environments.

It has been reported that Netegrity IdentityMinder is affected by multiple cross-site scripting vulnerabilities. These issues are due to a failure of the application to properly sanitize user-supplied URI input.
A remote attacker can exploit this issue by creating a malicious link to the vulnerable application that includes hostile HTML and script code. If this link were followed by an unsuspecting user, the hostile code may be rendered in the their web browser. This would occur in the security context of the web server and may allow for theft of cookie-based authentication credentials as well as arbitrary application command execution.

- 漏洞利用

No exploit is required to leverage these issues. The following proof of concepts have been provided:

http://www.example.com/idm/siteName/ims_mainconsole_principalpopuphandler.do?searchAttrs0=%25GROUP_NAME%25&amp;searchOperators0=EQUALS&amp;searchFilter0=&amp;searchOrgDN=specifiedDNValue&amp;incChildrenOrgFlag=NO&amp;resultsPerPage=10&amp;oid=&amp;imsui_taskstate=RESOLVE_SCOPE&amp;imsui_tpnametosearch=group&amp;numOfExpressions=1%00&lt;script&gt;alert(document.cookie)&lt;/script&gt;

http://PUT_ADDRESS_HERE:7001/idmmanage/mobjattr.do?diroid=OID&amp;attrname=Group%20Members&amp;mobjtype=2&lt;script&gt;alert(document.cookie)&lt;/script&gt;

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站